curl --request GET \
--url https://softmax.com/api/observatory/v2/leagues/participation \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/leagues/participation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/leagues/participation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"league_id": "<string>",
"episodes_1d": 123,
"episodes_7d": 123,
"xp_episodes_1d": 123,
"xp_episodes_7d": 123,
"combined_1d": 123,
"combined_7d": 123,
"policy_1d": 123,
"policy_7d": 123,
"xp_1d": 123,
"xp_7d": 123,
"submissions_1d": 123,
"submissions_7d": 123,
"top_players": [
{
"player_id": "<string>",
"rank": 123,
"score": 123,
"player_name": "<string>",
"score_label": "Score",
"score_value_type": "number"
}
],
"ih_combined_1d": 123,
"ih_combined_7d": 123,
"ih_policy_1d": 123,
"ih_policy_7d": 123,
"ih_xp_1d": 123,
"ih_xp_7d": 123
}
]List league participation
Return recent policy, experience, episode, submission, and leaderboard activity for visible leagues.
Authorizations
Bearer token issued by Softmax
Response
Successful Response
League represented by this activity entry.
League-round episodes created in the last 24 hours.
League-round episodes created in the last 7 days.
Priced experience-request episodes attributed in the last 24 hours.
Priced experience-request episodes attributed in the last 7 days.
Unique accounts with policy or experience activity in the last 24 hours.
Unique accounts with policy or experience activity in the last 7 days.
Unique policy-submitting accounts active in the last 24 hours.
Unique policy-submitting accounts active in the last 7 days.
Unique priced experience-request accounts active in the last 24 hours.
Unique priced experience-request accounts active in the last 7 days.
Policy submissions created in the last 24 hours.
Policy submissions created in the last 7 days.
Leading players on the primary competition board.
Show child attributes
Show child attributes
Subset of combined_1d attributed to Softmax accounts.
Subset of combined_7d attributed to Softmax accounts.
Subset of policy_1d attributed to Softmax accounts.
Subset of policy_7d attributed to Softmax accounts.
Subset of xp_1d attributed to Softmax accounts.
Subset of xp_7d attributed to Softmax accounts.